/**
 * Copyright (c) Shmulik Kravitz.
 *
 * This source code is licensed under the MIT license.
 * See the LICENSE file in the root directory for more information.
 *
 */
export declare const JewishMonth: {
    readonly None: "None";
    readonly Tishri: "Tishri";
    readonly Cheshvan: "Cheshvan";
    readonly Kislev: "Kislev";
    readonly Tevet: "Tevet";
    readonly Shevat: "Shevat";
    readonly Adar: "Adar";
    readonly Nisan: "Nisan";
    readonly Iyyar: "Iyyar";
    readonly Sivan: "Sivan";
    readonly Tammuz: "Tammuz";
    readonly Av: "Av";
    readonly Elul: "Elul";
    readonly AdarI: "AdarI";
    readonly AdarII: "AdarII";
};
export type JewishMonthType = keyof typeof JewishMonth;
export interface BasicJewishDate {
    /**
     *  day of month
     */
    day: number;
    /**
     * monthName
     */
    monthName: JewishMonthType;
    /**
     * month
     */
    year: number;
}
export interface JewishDate extends BasicJewishDate {
    /**
     * month
     */
    month: number;
}
export interface BasicJewishDateHebrew {
    /**
     *  day of month
     */
    day: string;
    /**
     * monthName
     */
    monthName: string;
    /**
     * month
     */
    year: string;
}
